<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: RifleSingleShot_Base Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/df2/class_rifle_single_shot___base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">RifleSingleShot_Base Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a876149d9f30c2b987b3aca28053272d2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/df2/class_rifle_single_shot___base.html#a876149d9f30c2b987b3aca28053272d2">Izh18_Base</a> ()</td></tr>
<tr class="separator:a876149d9f30c2b987b3aca28053272d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7eb935bec5aee812cb8ba499b8ab7f48"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/df2/class_rifle_single_shot___base.html#a7eb935bec5aee812cb8ba499b8ab7f48">SpawnRecoilObject</a> ()</td></tr>
<tr class="separator:a7eb935bec5aee812cb8ba499b8ab7f48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af82b5065a8de9f05082ed01c31a71a0a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/df2/class_rifle_single_shot___base.html#af82b5065a8de9f05082ed01c31a71a0a">OnDebugSpawn</a> ()</td></tr>
<tr class="separator:af82b5065a8de9f05082ed01c31a71a0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a394237dca9b9e5f2f999bee102d5864b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/df2/class_rifle_single_shot___base.html#a394237dca9b9e5f2f999bee102d5864b">RifleSingleShotManual_Base</a> ()</td></tr>
<tr class="separator:a394237dca9b9e5f2f999bee102d5864b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae214c4fad9273856fb8a1e3820b4c7b3"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/df2/class_rifle_single_shot___base.html#ae214c4fad9273856fb8a1e3820b4c7b3">InitStateMachine</a> ()</td></tr>
<tr class="separator:ae214c4fad9273856fb8a1e3820b4c7b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d7/d57/_izh18_8c_source.html#l00005">5</a> of file <a class="el" href="../../d7/d57/_izh18_8c_source.html">Izh18.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ae214c4fad9273856fb8a1e3820b4c7b3" name="ae214c4fad9273856fb8a1e3820b4c7b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae214c4fad9273856fb8a1e3820b4c7b3">&#9670;&#160;</a></span>InitStateMachine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void RifleSingleShot_Base::InitStateMachine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d5f/_rifle_single_shot_manual___base_8c_source.html#l00011">11</a> of file <a class="el" href="../../d0/d5f/_rifle_single_shot_manual___base_8c_source.html">RifleSingleShotManual_Base.c</a>.</p>

</div>
</div>
<a id="a876149d9f30c2b987b3aca28053272d2" name="a876149d9f30c2b987b3aca28053272d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a876149d9f30c2b987b3aca28053272d2">&#9670;&#160;</a></span>Izh18_Base()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RifleSingleShot_Base::Izh18_Base </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d57/_izh18_8c_source.html#l00007">7</a> of file <a class="el" href="../../d7/d57/_izh18_8c_source.html">Izh18.c</a>.</p>

</div>
</div>
<a id="af82b5065a8de9f05082ed01c31a71a0a" name="af82b5065a8de9f05082ed01c31a71a0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af82b5065a8de9f05082ed01c31a71a0a">&#9670;&#160;</a></span>OnDebugSpawn()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void RifleSingleShot_Base::OnDebugSpawn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d57/_izh18_8c_source.html#l00017">17</a> of file <a class="el" href="../../d7/d57/_izh18_8c_source.html">Izh18.c</a>.</p>

</div>
</div>
<a id="a394237dca9b9e5f2f999bee102d5864b" name="a394237dca9b9e5f2f999bee102d5864b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a394237dca9b9e5f2f999bee102d5864b">&#9670;&#160;</a></span>RifleSingleShotManual_Base()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RifleSingleShot_Base::RifleSingleShotManual_Base </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d5f/_rifle_single_shot_manual___base_8c_source.html#l00007">7</a> of file <a class="el" href="../../d0/d5f/_rifle_single_shot_manual___base_8c_source.html">RifleSingleShotManual_Base.c</a>.</p>

</div>
</div>
<a id="a7eb935bec5aee812cb8ba499b8ab7f48" name="a7eb935bec5aee812cb8ba499b8ab7f48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7eb935bec5aee812cb8ba499b8ab7f48">&#9670;&#160;</a></span>SpawnRecoilObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a> RifleSingleShot_Base::SpawnRecoilObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d57/_izh18_8c_source.html#l00011">11</a> of file <a class="el" href="../../d7/d57/_izh18_8c_source.html">Izh18.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/4_World/Entities/Firearms/Rifle/<a class="el" href="../../d7/d57/_izh18_8c_source.html">Izh18.c</a></li>
<li>scripts/4_World/Entities/Firearms/<a class="el" href="../../d0/d5f/_rifle_single_shot_manual___base_8c_source.html">RifleSingleShotManual_Base.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d0/df2/class_rifle_single_shot___base.html">RifleSingleShot_Base</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
